package com.ruoyi.order.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 单据明细对象 tb_order_detail
 * 
 * @author 原动力
 * @date 2023-05-24
 */
public class TbOrderDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 单据编号 */
    @Excel(name = "单据编号")
    private String orderNumber;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String assetNumber;

    /** 【调拨】旧管理人 */
    @Excel(name = "【调拨】旧管理人")
    private String allocationOldResponsiblePerson;

    /** 【调拨】旧功能位置编号 */
    @Excel(name = "【调拨】旧功能位置编号")
    private String allocationOldLocationNumber;

    /** 【调拨】新管理人 */
    @Excel(name = "【调拨】新管理人")
    private String allocationNewResponsiblePerson;

    /** 【调拨】新功能位置编号 */
    @Excel(name = "【调拨】新功能位置编号")
    private String allocationNewLocationNumber;

    /** 【借出】预计归还时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "【借出】预计归还时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lendReturnDate;

    /** 【借出】实际归还时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "【借出】实际归还时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lendActualReturnDate;

    /** 【借出】归还经手人 */
    @Excel(name = "【借出】归还经手人")
    private String lendBySponsor;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOrderNumber(String orderNumber) 
    {
        this.orderNumber = orderNumber;
    }

    public String getOrderNumber() 
    {
        return orderNumber;
    }
    public void setAssetNumber(String assetNumber) 
    {
        this.assetNumber = assetNumber;
    }

    public String getAssetNumber() 
    {
        return assetNumber;
    }
    public void setAllocationOldResponsiblePerson(String allocationOldResponsiblePerson) 
    {
        this.allocationOldResponsiblePerson = allocationOldResponsiblePerson;
    }

    public String getAllocationOldResponsiblePerson() 
    {
        return allocationOldResponsiblePerson;
    }
    public void setAllocationOldLocationNumber(String allocationOldLocationNumber) 
    {
        this.allocationOldLocationNumber = allocationOldLocationNumber;
    }

    public String getAllocationOldLocationNumber() 
    {
        return allocationOldLocationNumber;
    }
    public void setAllocationNewResponsiblePerson(String allocationNewResponsiblePerson) 
    {
        this.allocationNewResponsiblePerson = allocationNewResponsiblePerson;
    }

    public String getAllocationNewResponsiblePerson() 
    {
        return allocationNewResponsiblePerson;
    }
    public void setAllocationNewLocationNumber(String allocationNewLocationNumber) 
    {
        this.allocationNewLocationNumber = allocationNewLocationNumber;
    }

    public String getAllocationNewLocationNumber() 
    {
        return allocationNewLocationNumber;
    }
    public void setLendReturnDate(Date lendReturnDate) 
    {
        this.lendReturnDate = lendReturnDate;
    }

    public Date getLendReturnDate() 
    {
        return lendReturnDate;
    }
    public void setLendActualReturnDate(Date lendActualReturnDate) 
    {
        this.lendActualReturnDate = lendActualReturnDate;
    }

    public Date getLendActualReturnDate() 
    {
        return lendActualReturnDate;
    }
    public void setLendBySponsor(String lendBySponsor) 
    {
        this.lendBySponsor = lendBySponsor;
    }

    public String getLendBySponsor() 
    {
        return lendBySponsor;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderNumber", getOrderNumber())
            .append("assetNumber", getAssetNumber())
            .append("allocationOldResponsiblePerson", getAllocationOldResponsiblePerson())
            .append("allocationOldLocationNumber", getAllocationOldLocationNumber())
            .append("allocationNewResponsiblePerson", getAllocationNewResponsiblePerson())
            .append("allocationNewLocationNumber", getAllocationNewLocationNumber())
            .append("lendReturnDate", getLendReturnDate())
            .append("lendActualReturnDate", getLendActualReturnDate())
            .append("lendBySponsor", getLendBySponsor())
            .append("remark", getRemark())
            .toString();
    }
}
